<app-header class="layout-header" [menuToggleEnabled]="true" (menuToggle)="menuOpened = !menuOpened;" companyName="{{companyName}}">
</app-header>

<dx-drawer class="layout-body" position="before" [closeOnOutsideClick]="shaderEnabled" [openedStateMode]="menuMode"
    [revealMode]="menuRevealMode" [minSize]="minMenuSize" [shading]="shaderEnabled" [(opened)]="menuOpened">

    <app-navigation-menu [items]="menuItems" [compactMode]="!menuOpened" [selectedItem]="selectedRoute"
        class="dx-swatch-additional" *dxTemplate="let dataMenu of 'panel'"
        (selectedItemChanged)="navigationChanged($event)" (openMenu)="navigationClick()">
    </app-navigation-menu>

    <dx-scroll-view class="full-height-scrollable">
        <app-breadcrumb></app-breadcrumb>
        <div class="content">
            <ng-content></ng-content>
        </div>

        <div class="content-block footer">
            <ng-content select="app-footer"></ng-content>
        </div>
    </dx-scroll-view>
</dx-drawer>